import React, { Component } from 'react'
import { connect } from 'react-redux'
import {View} from '@tarojs/components'
import { AtSteps,AtButton,AtListItem } from 'taro-ui'

import 'taro-ui/dist/style/components/steps.scss';
import 'taro-ui/dist/style/components/icon.scss';
import 'taro-ui/dist/style/components/tabs.scss';

import UserFloatingLayer from '../../components/common/userFloatingLayer';

import { add, minus, asyncAdd } from '../../actions/counter';
import Enterprise from './enterprise';
import PublicContent from './publicContent';
import Result from './result';

import './index.less'
import Taro from '@tarojs/taro';
import MessageNoticebar from "../../components/common/messageNoticebar";

const items = [
  { 'title': '选择公出企业' },
  { 'title': '填写公出内容'},
  { 'title': '提交公出审核' }
]

@connect(({ counter }) => ({
  counter
}), (dispatch) => ({
  add () {
    dispatch(add())
  },
  dec () {
    dispatch(minus())
  },
  asyncAdd () {
    dispatch(asyncAdd())
  }
}))
class ApplyDepart extends Component {
  constructor(props) {
    super(props);
    this.state={
      current:0,
      enterpriseInfor:{},
      selectArrderLocation:{},
      resultState:0,
      resultId:'',
      punchClockInfor:{},
      colors:'primary',
      color:'secondary',
      type:0,
    }
  }

  componentDidShow () {
    Taro.eventCenter.on('enterprise', (arg) => {
      arg.type = this.state.type
      // 跳转
      this.setState({
        current:1,
        enterpriseInfor:arg
      })
      console.log(arg);
    })
    Taro.eventCenter.on('publicContent', (arg) => {
      this.setState({
        current:2,
        resultState:arg.code,
        resultId:arg.data.id,
        punchClockInfor:arg.data,
      })
    })
    Taro.eventCenter.on('enterpriseBack', () => {
      this.setState({
        current:0,
      })
    })
    Taro.eventCenter.on('result', () => {
      this.setState({
        current:0,
        enterpriseInfor:{},
        selectArrderLocation:{},
        resultState:0,
        resultId:'',
        punchClockInfor:{},
      })
    })
    //获取地区选定数据
    const chooseLocation = requirePlugin('chooseLocation');
    const location = chooseLocation.getLocation();
    if(location){
      this.setState({
        selectArrderLocation: location
      })
    }
  }

  componentDidMount() {

  }

  onReachBottom(){
    if(this.state.current === 0){
      Taro.eventCenter.trigger('applyDepartSearchList')
    }
  }

  render () {
    return (
      <View className='applyDepart'>
        <MessageNoticebar/>
        <UserFloatingLayer/>
        <View className='atStepsContent'>
          <AtSteps
            items={items}
            current={this.state.current}
          />
          <View style={{display:this.state.current===0 ? 'block' : 'none'}}>
          <View style={{display:'flex'}}>
          <View style={{margin:'0 10px'}}>
          <AtButton   circle size='small' type={this.state.colors} onClick={()=>{
            this.setState({
              colors:'primary',
              color:'secondary',
              type:0
            })
          }}>业务/行政公出</AtButton>
          </View>
          <AtButton type={this.state.color} circle size='small' onClick={()=>{
             this.setState({
              colors:'secondary',
              color:'primary',
              type:1
            })
          }}>技术公出</AtButton>
           <View style={{flex:'1'}}></View>
          </View>
          </View>
          <View className='content'>
            <View style={{display:this.state.current===0 ? 'block' : 'none'}}>
              <Enterprise type={this.state.type}/>
            </View>
            <View style={{display:this.state.current===1 ? 'block' : 'none'}}>
              <PublicContent enterpriseInfor={this.state.enterpriseInfor} selectArrderLocation={this.state.selectArrderLocation}/>
            </View>
            <View style={{display:this.state.current===2 ? 'block' : 'none'}}>
              <Result resultState={this.state.resultState} resultId={this.state.resultId} punchClockInfor={this.state.punchClockInfor}/>
            </View>
            {/* <View style={{display:this.state.current===3 ? 'block' : 'none'}}>
            <AtListItem
                  title={this.state.enterpriseInfor.name}
                  arrow='right'
                  iconInfo={{ size: 25, color: '#000000', value: 'bookmark', }}
                  onClick={()=>{
                    // Taro.eventCenter.trigger('enterprise', v)
                  }}
                />
            </View> */}
          </View>
        </View>
      </View>
    )
  }
}

export default ApplyDepart

