import React, { Component } from "react";
import { AtCalendar, AtModal, AtModalAction, AtModalContent, AtButton } from "taro-ui";
import { Button, View } from "@tarojs/components";
import Enterprise from './enterprise';
import PublicContent from './publicContent';

import { updatePublicRelease } from '../../utils/servers/servers';

import 'taro-ui/dist/style/components/modal.scss';
import Taro from "@tarojs/taro";

class Modify extends Component {
  constructor(props) {
    super(props);
    this.state = {
      data: {},
      dtails: props.dtails,
      modifyType: 1,
      colors: 'primary',
      color: 'secondary',
      type: 0,
      visibles:true,
    }
    this.submit = this.submit.bind(this);
    this.onChange = this.onChange.bind(this);
    this.onVisible = this.onVisible.bind(this);
  }

  submit() {
    if (Object.keys(this.state.data).length === 0 ) {
      Taro.showToast({ title: '请先选择公出的企业', icon: 'none' })
      return;
    } else if(this.state.type == 1) {
      Taro.showToast({ title: '技术公出请直接点击公出企业', icon: 'none' })
      return;
    }
    this.setState({
      modifyType: 2
    })
  }
  onVisible () {
    this.setState({
      visibles:false
    })
  }
  componentWillUnmount() {
    this.setState({
      data: {}
    })
  }

  onChange(value, visi) {
    if (visi == 0) {
      this.setState({
        dtails: {
          ...this.state.dtails,
          ...value,
        },
        data: value,
      })
    } else {
      value.type = this.state.type
      this.setState({
        dtails: {
          ...this.state.dtails,
          ...value,
        },
        data: value,
        modifyType: 2
      })
    }
  }

  render() {
    return (
      <AtModal isOpened={this.props.isOpened} onClose={this.props.onModalClose}>
        {
          this.state.modifyType === 1 ? <View style={{ display: 'flex', margin: '10px 0 0 0' }}>
            <View style={{ margin: '0 10px' }}>
              <AtButton circle size='small' type={this.state.colors} onClick={() => {
                this.setState({
                  colors: 'primary',
                  color: 'secondary',
                  type: 0,
                  visibles:true
                })
              }}>业务/行政公出</AtButton>
            </View>
            <AtButton type={this.state.color} circle size='small' onClick={() => {
              this.setState({
                colors: 'secondary',
                color: 'primary',
                type: 1,
              })
            }}>技术公出</AtButton>
            <View style={{ flex: '1' }}></View>
          </View> : ''
        }

        <AtModalContent>
          {
            this.state.modifyType === 1 ?
              <Enterprise type={this.state.type}  isOpened={this.props.isOpened} onChange={this.onChange} /> :
              <PublicContent
                permission={this.props.permission}
                index={this.props.index}
                onClose={() => {
                  this.props.onClose();
                }}
                locationInfor={this.props.locationInfor}
                dtails={this.state.dtails}
                isOpened={this.props.isOpened}
                onChange={this.onChange}
              />
          }
        </AtModalContent>
        {
          this.state.modifyType === 1 ?
            <AtModalAction>
              <Button onClick={() => {
                this.props.onClose();
              }}>
                取消
              </Button>
              <Button onClick={this.submit}>
                下一步
              </Button>
            </AtModalAction> :
            null
        }
      </AtModal>
    )
  }
}

export default Modify;
